gmm(1)

NAME
gmm - Gaussian mixture model segmentation

SYNOPSIS
gmm InputImage OutputImage PriorImages

DESCRIPTION
Segment an image into c classes using the EM algorithm for Gaussian mixtures with optional priors.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--xml
    Write command line syntax specification in XML markup (for Slicer integration).

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  General Classification Parameters

--mask <string>, -m <string>
    Path to foreground mask image. If this is not provided, the input image is used as its own mask, but this does not work properly if the input image itself has pixels with zero or negative values. [Default: NONE]

--classes <integer>, -c <integer>
    Number of classes. [Default: 3]

--iterations <integer>, -n <integer>
    Number of EM iterations. [Default: 10]

  Handling of Priors

--priors-init-only
    Use priors for initialization only.

--prior-epsilon <double>, -e <double>
    Small value to add to all class priors to eliminate zero priors. [Default: 0]

  Output Parameters

--probability-maps, -p
    Write probability maps. The file names for these maps will be generated from the output image path by inserting '_prob#' before the file format suffix, where '#' is the index of the respective class, numbered starting at 1 (zero is background).

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.